## pmx 2.5.4

=== Makefile ===
export

CFLAGS = -O2

PACKAGE = pmx
VERSION = 2.5.1
DISTDIR = $(PACKAGE)-$(VERSION)

PREFIX = /usr/local
EPREFIX = $(PREFIX)
BINDIR = $(EPREFIX)/bin
MANDIR = $(PREFIX)/man
DATADIR = $(PREFIX)/share

RECURSIVE_TARGETS = all-recursive \
		    clean-recursive \
		    distclean-recursive \
		    install-recursive \
		    uninstall-recursive
SUBDIRS = doc examples src tex

DISTFILES = Makefile ChangeLog README \
	    $(SUBDIRS) license

$(RECURSIVE_TARGETS):
	@target=`echo $@ | sed s/-recursive//`; \
	for subdir in $(SUBDIRS); do \
	  echo "Making $$target in $$subdir..."; \
	  $(MAKE) -C $$subdir $$target; \
	done;

clean: clean-recursive
	rm -rf *~ $(DISTDIR).tar.gz

distclean: clean distclean-recursive

install: install-recursive

uninstall: uninstall-recursive

dist: distclean
	mkdir $(DISTDIR)
	cp -a $(DISTFILES) $(DISTDIR)
	tar c $(DISTDIR) | gzip -9 -c > $(DISTDIR).tar.gz
	rm -rf $(DISTDIR)

.PHONY: all clean distclean install uninstall dist

## pmx 2.5.10

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CFLAGS = -O2
 
 PACKAGE = pmx
-VERSION = 2.5.1
+VERSION = 2.5.7
 DISTDIR = $(PACKAGE)-$(VERSION)
 
 PREFIX = /usr/local

=== doc/Makefile ===
MANPAGES = pmx.1 pmxab.1 scor2prt.1

all:

clean:

distclean: clean

install:
	install -d $(MANDIR)/man1
	install -m644 -p $(MANPAGES) $(MANDIR)/man1

uninstall:
	for manpage in $(MANPAGES); do \
	  rm -f $(MANDIR)/man1/$$manpage; \
	done

.PHONY: all clean distclean install uninstall

=== src/Makefile ===
FOBJECTS = pmxab scor2prt
OBJECTS = pmx $(FOBJECTS)

all: $(OBJECTS)

clean:
	rm -f $(FOBJECTS) *.o *~

distclean: clean

install: all
	install -d $(BINDIR)
	install -m755 -p $(OBJECTS) $(BINDIR)

uninstall:
	for object in $(OBJECTS); do \
	  rm -f $(BINDIR)/$$object; \
	done

pmxab: pmxab.for
	$(FC) $(CFLAGS) -o $@ $<

scor2prt: scor2prt.for
	$(FC) $(CFLAGS) -o $@ $<

.PHONY: all clean distclean install uninstall

=== tex/Makefile ===
DOCS = pmxdoc.pdf ref.pdf
DOCDIR = $(DATADIR)/doc/$(PACKAGE)
TEXMFDIR = $(DATADIR)/texmf/tex/musixtex/$(PACKAGE)
MDOCDIR = $(DATADIR)/doc/texmf/musixtex

all: $(DOCS)

clean:
	rm -f {pmxdoc,ref}.{aux,dvi,log,toc,out,pdf}

distclean: clean

install: all
	install -d $(DOCDIR)
	install -m644 -p $(DOCS) $(DOCDIR)
	install -d $(TEXMFDIR)
	install -m644 -p pmx.tex $(TEXMFDIR)
	install -d $(MDOCDIR)
	ln -fs ../../pmx $(MDOCDIR)/pmx

uninstall:
	for doc in $(DOCS); do \
	  rm -f $(DOCDIR)/$$doc; \
	done
	rm -f $(TEXMFDIR)/pmx.tex
	rm -f $(MDOCDIR)/pmx

%.dvi: %.tex
	latex $<
	latex $<
	latex $<

%.pdf: %.dvi
	dvipdf $<

.PHONY: all clean distclean install uninstall

## pmx 2.5.21

=== debian/changelog ===
pmx (2.5.21-1) unstable; urgency=low

  * New upstream release
  * Moved to new source format 3.0 (quilt)
  * debian/control: Standards-Version: 3.8.4
  * debian/compat: Debhelper compatibility level 7

 -- Roland Stigge <stigge@antcom.de>  Sat, 26 Jun 2010 17:41:22 +0200

pmx (2.5.15-1) unstable; urgency=low

  * New upstream release
  * Adjusted Copyright notice

 -- Roland Stigge <stigge@antcom.de>  Fri, 29 Feb 2008 21:28:12 +0100

pmx (2.5.10-5) unstable; urgency=low

  * Makefile: Don't ignore errors in subdirs (Closes: #460023)
  * debian/watch: Created working version=3 content (Closes: #453571)
  * debian/control:
    - Standards-Version: 3.7.3
    - Introduced Homepage pseudo header

 -- Roland Stigge <stigge@antcom.de>  Thu, 10 Jan 2008 09:31:26 +0100

pmx (2.5.10-4) unstable; urgency=low

  * debian/control: Removed references to tetex* (Closes: #430442)

 -- Roland Stigge <stigge@antcom.de>  Tue, 02 Oct 2007 22:52:58 +0200

pmx (2.5.10-3) unstable; urgency=low

  * debian/{rules,control}: Use gfortran, now that gcc 4.1 is the default
  * debian/control: Standards-Version: 3.7.2

 -- Roland Stigge <stigge@antcom.de>  Tue, 29 Aug 2006 10:28:53 +0200

pmx (2.5.10-2) unstable; urgency=low

  * debian/{rules,control}: Temporarily switched back from gfortran to g77.
    gfortran is buggy, waiting for gcc-4.1 (Closes: #351706)

 -- Roland Stigge <stigge@antcom.de>  Wed, 22 Mar 2006 14:16:52 +0100

pmx (2.5.10-1) unstable; urgency=low

  * New upstream release
  * debian/control: Adjusted dependencies to texlive alternatives
    (Closes: #349671)

 -- Roland Stigge <stigge@antcom.de>  Tue,  7 Mar 2006 14:22:05 +0100

pmx (2.5.7-1) unstable; urgency=low

  * New upstream release (Closes: #322942)
  * debian/control:
      - Build-Depends on gfortran instead of g77 (Closes: #322924)
      - Standards-Version: 3.6.2

 -- Roland Stigge <stigge@antcom.de>  Wed, 17 Aug 2005 21:55:39 +0200

pmx (2.5.4-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat,  6 Nov 2004 16:20:30 +0100

pmx (2.5.1-1) unstable; urgency=low

  * New upstream release
    - Fixes segmentation fault on e.g. mwalmnd.pmx (Closes: #234872)
  * debian/control: Recommends: musixtex-slurps (Closes: #234831)

 -- Roland Stigge <stigge@antcom.de>  Mon,  1 Mar 2004 13:06:50 +0100

pmx (2.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
     - Standards-Version: 3.6.1
     - Updated Description
  * debian/copyright:
     - Updated upstream homepage, copyright information
  * Debhelper compatibility level 4

 -- Roland Stigge <stigge@antcom.de>  Tue, 17 Feb 2004 16:20:44 +0100

pmx (2.4.0-1) unstable; urgency=low

  * New maintainer
      Date: Wed, 6 Aug 2003 19:28:18 +0800
      From: Anthony Fok <foka@debian.org>
      To: Roland Stigge <stigge@antcom.de>
      Subject: Re: Roland Stigge (fwd)
  
      Hello Roland,

      The MusiXTeX family of packages are yours.  You may become the official
      maintainer for these Debian packages (musixtex, pmx, m-tx, musixlyr),
      effective now. [...]
    (Closes: #199916, #130160, #197465)
  * Standards-Version: 3.6.0

 -- Roland Stigge <stigge@antcom.de>  Wed,  6 Aug 2003 14:14:35 +0200

pmx (2.4.0-0.2) unstable; urgency=low

  * NMU, see pmx-2.4.0-0.1
  * Clarified license problem: convinced upstream author to release
    PMX under the conditions of the GPL (Closes: #199916)

 -- Roland Stigge <stigge@antcom.de>  Sat,  5 Jul 2003 01:04:14 +0200

pmx (2.4.0-0.1) unstable; urgency=low

  * NMU
      Date: 15 Jun 2003 20:39:37 +0800
      From: Anthony Fok <foka@debian.org>
      To: Roland Stigge <stigge@antcom.de>
      Subject: Re: MusiXTeX

      [...]
      I do welcome NMUs.
      [...]
  * New upstream release (Closes: #130160, #197465)
  * debian/control: changed Section: from contrib/tex to tex due to
    Recommends: musixtex, which has been moved from non-free to main
  * adjusted Description: to new author's email and link
  * wrote man pages for pmx, pmxab and scor2prt
  * added Build-Depends: tetex-bin, tetex-extra, musixtex for documentation
    generation
  * Standards-Version: 3.5.10

 -- Roland Stigge <stigge@antcom.de>  Fri, 20 Jun 2003 17:17:19 +0200

pmx (2.3.0.5-1) unstable; urgency=low

  * New upstream beta.
  * Removed the (wrong) version number from the /usr/bin/pmx script.
    (Closes: Bug#84467)

 -- Anthony Fok <foka@debian.org>  Thu, 17 May 2001 04:46:05 -0600

pmx (2.2.0-1) frozen unstable; urgency=low

  * New upstream release: Among many bug fixes, the biggest news is that
    PMX can now generate MIDI files!  Hurray!
  * Compiled with g77 instead of fort77 this time, and it worked!  :-)

 -- Anthony Fok <foka@debian.org>  Sun,  2 Apr 2000 18:53:06 -0600

pmx (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.1.1, added Build-Depends field in debian/control.

 -- Anthony Fok <foka@debian.org>  Fri, 17 Dec 1999 02:40:57 -0700

pmx (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.0.1, FHS-compliant.
  * Updated the "pmx" sh-script from Stefan Evert's latest Unix/C port.

 -- Anthony Fok <foka@debian.org>  Sun, 10 Oct 1999 07:34:44 -0600

pmx (1.4.3-2) unstable; urgency=low

  * Changed usr/share/texmf to usr/lib/texmf for the new FHS-compliant
    directory layout in teTeX.
  * [debian/control]: Updated dependency to the latest FHS-compliant
      teTeX and related music packages.

 -- Anthony Fok <foka@debian.org>  Mon, 26 Apr 1999 17:24:40 -0600

pmx (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * No longer uses the fixup.sed to modify pmxb.f.  fort77/f2c does not
    seem to like the patch in this new PMX release.  :-)

 -- Anthony Fok <foka@debian.org>  Fri,  4 Dec 1998 00:26:02 -0700

pmx (1.3.8-3) frozen unstable; urgency=low

  * [debian/control]:
      - Upgraded to standards version 2.5.0.0 (no changes).
      - Updated dependencies on tetex* to the latest versions:


=== debian/control ===
Source: pmx
Section: tex
Priority: optional
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 7), gfortran, texlive-base-bin, texlive-latex-recommended, texlive-latex-extra, musixtex, gs-common
Standards-Version: 3.8.4
Homepage: http://icking-music-archive.org/software/pmx/

Package: pmx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-latex-base
Recommends: musixtex (>= 1:0.98-1) | texlive-music, texlive-latex-recommended, musixtex-slurps | texlive-music
Suggests: m-tx
Description: A Preprocessor for MusiXTeX
 PMX is a preprocessor for MusiXTeX that produces near-publication
 quality scores and parts with far less effort than would
 be required using MusiXTeX alone.
 .
 Among the new features are several that facilitate detailed editing,
 for example fine-tuning positions of dots, ornaments, and xtuplet
 numbers.  It now also generates MIDI output!

=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash
package = pmx
r = $(CURDIR)/debian/$(package)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) FC=gfortran CFLAGS="-O2 -g -Wall"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	# Add here commands to install the package into debian/pmx.
	$(MAKE) PREFIX=$(r)/usr MANDIR=$(r)/usr/share/man install

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
#	dh_installmenu
	dh_installman
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress --exclude=.pdf
	dh_fixperms
	dh_link
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

## pmx 2.6.15

=== debian/changelog ===
pmx (2.6.15-1) unstable; urgency=low

  * New upstream release
  * New debhelper dh rules

 -- Roland Stigge <stigge@antcom.de>  Fri, 05 Aug 2011 21:43:49 +0200

pmx (2.6.13-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 03 Jul 2011 17:30:36 +0200

pmx (2.6.10-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 23 Jun 2011 17:17:44 +0200

pmx (2.6.3-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.2

 -- Roland Stigge <stigge@antcom.de>  Fri, 08 Apr 2011 10:02:42 +0200

pmx (2.5.21-2) unstable; urgency=low

  * debian/control:
    - Changed Build-Depends: gs-common to ghostscript (Closes: #618198)
    - Source-Version: 3.9.1

 -- Roland Stigge <stigge@antcom.de>  Sun, 13 Mar 2011 21:48:43 +0100

=== debian/rules ===
#!/usr/bin/make -f

package = pmx
r = $(CURDIR)/debian/$(package)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) FC=gfortran CFLAGS="-O2 -g -Wall"

override_dh_auto_install:
	$(MAKE) PREFIX=$(r)/usr MANDIR=$(r)/usr/share/man install

override_dh_compress:
	dh_compress --exclude=.pdf

## pmx 2.6.16

=== debian/changelog ===
pmx (2.6.16-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 20 Nov 2011 17:39:21 +0100

pmx (2.6.15-2) unstable; urgency=low

  * Patch pmx to use etex instead of tex (now necessary because of musixtex
    depending on this)

 -- Roland Stigge <stigge@antcom.de>  Fri, 23 Sep 2011 21:13:29 +0200

=== debian/control ===
Source: pmx
Section: tex
Priority: optional
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 7.0.50~), gfortran, texlive-base-bin, texlive-latex-recommended, texlive-latex-extra, musixtex, ghostscript
Standards-Version: 3.9.2
Homepage: http://icking-music-archive.org/software/pmx/

Package: pmx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-latex-base
Recommends: musixtex (>= 1:0.98-1) | texlive-music, texlive-latex-recommended, musixtex-slurps | texlive-music
Suggests: m-tx
Description: Preprocessor for MusiXTeX
 PMX is a preprocessor for MusiXTeX that produces near-publication
 quality scores and parts with far less effort than would
 be required using MusiXTeX alone.
 .
 Among the new features are several that facilitate detailed editing,
 for example fine-tuning positions of dots, ornaments, and xtuplet
 numbers.  It now also generates MIDI output!

## pmx 2.6.17

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	@target=`echo $@ | sed s/-recursive//`; \
 	for subdir in $(SUBDIRS); do \
 	  echo "Making $$target in $$subdir..."; \
-	  $(MAKE) -C $$subdir $$target; \
+	  $(MAKE) -C $$subdir $$target || exit 1; \
 	done;
 
 clean: clean-recursive

=== examples/Makefile ===
EXAMPLES = barsant.pmx dyntest.pmx most.pmx mwalmnd.pmx
EXAMPLESDIR = $(DATADIR)/doc/$(PACKAGE)/examples

all:

clean:

distclean: clean

install:
	install -d $(EXAMPLESDIR)
	install -m644 -p $(EXAMPLES) $(EXAMPLESDIR)

uninstall:
	for example in $(EXAMPLES); do \
	  rm -f $(EXAMPLESDIR)/$$example; \
	done
	-rmdir $(EXAMPLESDIR)

.PHONY: all clean distclean install uninstall

=== debian/changelog ===
pmx (2.6.17-1) unstable; urgency=low

  * New upstream release
  * Added debian/rules get-orig-source

 -- Roland Stigge <stigge@antcom.de>  Sun, 19 Feb 2012 15:25:04 +0100

## pmx 2.6.18

=== debian/changelog ===
pmx (2.6.18-2) unstable; urgency=low

  * Fixed texmf path in postinst (Closes: #665982)

 -- Roland Stigge <stigge@antcom.de>  Tue, 27 Mar 2012 17:59:40 +0200

pmx (2.6.18-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.3
  * debian/compat: 9

 -- Roland Stigge <stigge@antcom.de>  Fri, 23 Mar 2012 11:07:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: tex
 Priority: optional
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 7.0.50~), gfortran, texlive-base-bin, texlive-latex-recommended, texlive-latex-extra, musixtex, ghostscript
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), gfortran, texlive-base-bin, texlive-latex-recommended, texlive-latex-extra, musixtex, ghostscript
+Standards-Version: 3.9.3
 Homepage: http://icking-music-archive.org/software/pmx/
 
 Package: pmx

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,19 @@
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
+
+TMP=get-orig-source-tmp
+get-orig-source:
+	rm -rf $(TMP)
+	mkdir $(TMP)
+	uscan --download --no-symlink --destdir $(TMP)
+	cd $(TMP) && unzip *.zip
+	fromdos $(TMP)/*.tex $(TMP)/*.for
+	cd $(TMP) && apt-get source -d pmx
+	cd $(TMP) && tar xf pmx*.bz2
+	cd $(TMP) && VERSION=`ls pmx*.zip |sed -e 's/pmx\(.\)\(.\)\(..\).zip/\1.\2.\3/'` && \
+		mv pmx-* pmx-$$VERSION && \
+		mv pmx.tex pmx-$$VERSION/tex/pmx.tex && \
+		mv *.for pmx-$$VERSION/src/pmxab.for && \
+		tar cfj ../pmx-$$VERSION.tar.bz2 pmx-$$VERSION
+	rm -rf $(TMP)

## pmx 2.6.19.ctan20130123

=== debian/changelog ===
pmx (2.6.19.ctan20130123-2) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Tue, 07 May 2013 13:31:49 +0900

pmx (2.6.19.ctan20130123-1) experimental; urgency=low

  * New upstream version based on CTAN upload
  * changed maintainer to the Debian TeX Maintainer mailing list with
    agreement of the current maintainer Roland, and put Roland and
    myself in Uploaders field
  * adapt debian/rules file to new layout, add get-orig-source script
  * don't build documentation, remove unnecessary build-deps
  * use dh_installtex instead of handwritten postinst
  * disable all patches, not needed anymore

 -- Norbert Preining <preining@debian.org>  Wed, 23 Jan 2013 11:25:31 +0900

pmx (2.6.19-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 25 Sep 2012 14:39:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: pmx
 Section: tex
 Priority: optional
-Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 9), gfortran, texlive-base-bin, texlive-latex-recommended, texlive-latex-extra, musixtex, ghostscript
+Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
+Uploaders: Roland Stigge <stigge@antcom.de>, Norbert Preining <preining@debian.org>
+Build-Depends: debhelper (>= 9), tex-common (>= 4.01)
 Standards-Version: 3.9.3
 Homepage: http://icking-music-archive.org/software/pmx/
+Vcs-Git: git://anonscm.debian.org/debian-tex/pmx.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/pmx.git
 
 Package: pmx
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-latex-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-latex-base, luatex
 Recommends: musixtex (>= 1:0.98-1) | texlive-music, texlive-latex-recommended, musixtex-slurps | texlive-music
 Suggests: m-tx
 Description: Preprocessor for MusiXTeX

=== debian/rules ===
#!/usr/bin/make -f

package = pmx
version = 2.6.19
r = $(CURDIR)/debian/$(package)
texmf = $(r)/usr/share/texmf

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -D pmx-$(version)

override_dh_auto_build:
	$(MAKE) -Cpmx-$(version) FC=gfortran CFLAGS="-O2 -g -Wall"

override_dh_auto_install:
	$(MAKE) -Cpmx-$(version) DESTDIR=$(r) install
	mkdir -p $(texmf)
	cp -a doc scripts tex $(texmf)
	# remove man pages from installed doc directory
	rm $(texmf)/doc/generic/pmx/*.1
	mkdir -p $(r)/usr/bin
	ln -s ../share/texmf/scripts/pmx/pmx2pdf.lua $(r)/usr/bin/pmx2pdf
	dh_installtex

override_dh_clean:
	dh_auto_clean -D pmx-$(version)
	dh_clean -Xpmx-$(version)/pmx2619.for.orig -Xpmx-$(version)/scor2prt.for.orig
	
override_dh_compress:
	dh_compress --exclude=.pdf

get-orig-source:
	bash debian/get-orig-source $(version)

## pmx 2.7.0.ctan20131214

=== debian/changelog ===
pmx (2.7.0.ctan20131214-1) unstable; urgency=low

  * Imported Upstream version 2.7.0.ctan20131214
  * update version in debian/rules file
  * don't install additional gpl.txt file
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 14 Dec 2013 21:42:54 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>, Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 9), tex-common (>= 4.01)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://icking-music-archive.org/software/pmx/
 Vcs-Git: git://anonscm.debian.org/debian-tex/pmx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/pmx.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 package = pmx
-version = 2.6.19
+version = 2.7.0
 r = $(CURDIR)/debian/$(package)
 texmf = $(r)/usr/share/texmf
 
@@ -23,13 +23,15 @@
 	cp -a doc scripts tex $(texmf)
 	# remove man pages from installed doc directory
 	rm $(texmf)/doc/generic/pmx/*.1
+	# remove copy of gpl in doc dir
+	rm $(texmf)/doc/generic/pmx/gpl.txt
 	mkdir -p $(r)/usr/bin
 	ln -s ../share/texmf/scripts/pmx/pmx2pdf.lua $(r)/usr/bin/pmx2pdf
 	dh_installtex
 
 override_dh_clean:
 	dh_auto_clean -D pmx-$(version)
-	dh_clean -Xpmx-$(version)/pmx2619.for.orig -Xpmx-$(version)/scor2prt.for.orig
+	dh_clean -Xpmx-$(version)/pmx270.for.orig -Xpmx-$(version)/scor2prt.for.orig
 	
 override_dh_compress:
 	dh_compress --exclude=.pdf

## pmx 2.7.0.ctan20150301

=== debian/changelog ===
pmx (2.7.0.ctan20150301-3) unstable; urgency=medium

  * convert to dummy transitional package, pmx is now
    part of texlive-music

 -- Norbert Preining <preining@debian.org>  Mon, 22 Feb 2016 22:12:26 +0900

pmx (2.7.0.ctan20150301-2) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 14:49:05 +0900

pmx (2.7.0.ctan20150301-1) experimental; urgency=medium

  * Imported Upstream version 2.7.0.ctan20150301
  * bump standards version, adapt deps for luatex

 -- Norbert Preining <preining@debian.org>  Sun, 01 Mar 2015 21:59:24 +0900

=== debian/control ===
Source: pmx
Section: oldlibs
Priority: extra
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Roland Stigge <stigge@antcom.de>, Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6

Package: pmx
Architecture: all
Depends: texlive-music (>= 2015.20160223)
Description: transitional dummy package
 This is a transitional package for pmx to ensure proper
 upgrade to texlive-music. It can be safely removed after the installation is
 complete.

=== debian/rules ===
#!/usr/bin/make -f

package = pmx
version = 2.7.0
r = $(CURDIR)/debian/$(package)
texmf = $(r)/usr/share/texmf

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
version=3
opts="uversionmangle=s/(.)(.)(.*)/$1.$2.$3/" http://icking-music-archive.org/software/pmx/ pmx([\d\.]*)\.zip
